# Android

[接入指南](https://developers.weixin.qq.com/doc/oplatform/Mobile_App/Access_Guide/Android.html)

## 包名

**慧视健康:** com.eitchsyh.instrument

## 签名

**慧视健康:** 4219c4e0716369be8acf21dfb6875ad3

使用微信提供的工具生成的签名,使用release包生成,理论上使用同一个key生成的签名应当是相同的

[签名工具下载地址](https://developers.weixin.qq.com/doc/oplatform/Downloads/Android_Resource.html)

# IOS

[接入指南](https://developers.weixin.qq.com/doc/oplatform/Mobile_App/Access_Guide/iOS.html)

## Bundle ID

**慧视健康:** com.eitchsyh.instrument

## Universal Links

**慧视健康:** https://smart-v.com.cn/hsjk/app/

## Universal Links配置内容

[官方配置文档](https://developer.apple.com/documentation/xcode/supporting-associated-domains)

``` json
{
  "applinks": {
      "details": [
           {
             "appIDs": [ "9YY9H8PBR6.com.eitchsyh.instrument" ],
             "components": [
               {
                  "/": "/hsjk/app/*",
                  "comment": "Open hsjk app"
               }
             ]
           }
       ]
   },
   "webcredentials": {
      "apps": [ "9YY9H8PBR6.com.eitchsyh.instrument" ]
   }
}
```

配置文件名必须为**apple-app-site-association**,没有后缀,存放在服务器 **.well-known** 目录或根目录下

当配置内容有更改时,必须更新服务器下的配置文件,调整后必须进行json格式验证

## Url Types

根据接入指南文档,配置Url Types

需要注意的是**Identifier**是唯一的

对于同一个Url Type,可以在info.plist文件中配置多个**Url Schemes**